6.0.0-git
2019-03-19

[#7961] Unable to retrieve list of holidays
Summary Unable to retrieve list of holidays
Queue Kronolith
Queue Version FRAMEWORK_3
Type Bug
State Resolved
Priority 1. Low
Owners
Requester adrieder (at) sbox (dot) tugraz (dot) at
Created 2009-02-06 (3693 days ago)
Due 02/07/2009 (3692 days ago)
Updated 2010-01-12 (3353 days ago)
Assigned 2009-02-06 (3693 days ago)
Resolved 2009-02-11 (3688 days ago)
Milestone
Patch Yes

History
2009-02-11 22:17:03 Jan Schneider Comment #7
State ⇒ Resolved
Reply to this comment
Yes, thanks.
2009-02-11 21:35:52 adrieder (at) sbox (dot) tugraz (dot) at Comment #5 Reply to this comment
patch
does this make any sense to you?
2009-02-07 16:51:16 adrieder (at) sbox (dot) tugraz (dot) at Comment #4
New Attachment: holidays.php.2.patch Download
Reply to this comment
patch
2009-02-07 16:50:14 adrieder (at) sbox (dot) tugraz (dot) at Comment #3 Reply to this comment
Sorry, but this doesn't make any sense. Can you provide a test case
and/or check what difference this makes inside the Date_Holidays code?
This is what I get from the debug log:

Feb 07 17:18:19 HORDE [info] [kronolith] Unable to retrieve list of 
holidays from Mon Jan 26 00:00:00 2009 to Mon Mar 2 23:59:59 2009 [pid 
20372 on line 74 of 
"/usr/local/apache/htdocs/horde3/horde/kronolith/lib/Driver/holidays.php"]



I also logged $date->timestamp() and $holidays:

$date->timestamp() is: 1234393200

$holidays is: Date-string has wrong format (must be YYYY-MM-DD)



But the problem is that $date->timestamp() is of type string as 
discovered by gettype($date->timestamp())).

Date_Holidays expects an integer as timestamp.

So a cleaner fix of the problem is the newly attached patch, which 
does a type cast to integer instead of making a integer out of a 
string by addin 1.
2009-02-06 23:24:31 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Sorry, but this doesn't make any sense. Can you provide a test case 
and/or check what difference this makes inside the Date_Holidays code?
2009-02-06 21:31:35 adrieder (at) sbox (dot) tugraz (dot) at Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Unable to retrieve list of holidays
Due ⇒ 2009-02-07
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ Yes
New Attachment: holidays.php.patch Download
Reply to this comment
Kronolith is not able to retrieve holidays by passing a Horde_Date 
timestamp to Date_Holidays getHolidayForDate. Interestingly the 
attached patch fixes the problem.

Saved Queries